* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
  display: grid;
  place-items: center;

  width: 100%;
  height: 100vh;
}

.wrapper {
  position: relative;
  width: 70rem;
  aspect-ratio: 1;
  border: 1rem solid goldenrod;
  background-image: url(images/bg.png);
  background-size: auto 70rem;
  background-repeat: repeat-y;
  overflow: hidden;
  animation: bgAnim 5s infinite linear;
}

@keyframes bgAnim {
  0% {
    background-position: center 0;
  }
  100% {
    background-position: center 70rem;
  }
}

.block {
  position: absolute;
  width: 18rem;
  aspect-ratio: 1;
  background-color: rgb(51,184,184);
  box-shadow: .2rem .2rem .4rem #aaa inset,
              -.2rem -.2rem .4rem #aaa inset;
}

.block-1 {
  top: 16rem;
  right: 44rem;
  transform-origin: bottom right;
  animation: block1Anim 5s infinite linear;
}

@keyframes block1Anim {
  0% {
    transform: translateY(-38rem) rotateZ(0);
    opacity: 0.5;
  }

  30% {
    transform: translateY(0) rotateZ(0);
  }

  40%,
  45% {
    transform: translateY(0) rotateZ(-180deg);
    opacity: 1;
  }
  55%,
  100% {
    transform: translateY(38rem) rotateZ(-180deg);
    opacity: 0.5;
  }
}

.block-2 {
  top: 16rem;
  right: 8rem;
  transform-origin: bottom left;
  animation: block2Anim 5s -2.5s infinite linear;
}

@keyframes block2Anim {
  0% {
    transform: translateY(-38rem) rotateZ(0);
    opacity: 0.5;
  }

  30% {
    transform: translateY(0) rotateZ(0);
  }

  40%,
  45% {
    transform: translateY(0) rotateZ(180deg);
    opacity: 1;
  }
  55%,
  100% {
    transform: translateY(38rem) rotateZ(180deg);
    opacity: 0.5;
  }
}
.ball {
  position: absolute;
  top: 22rem;
  left: 29rem;

  width: 12rem;
  aspect-ratio: 1;
  border-radius: 50%;
  background-color: rgb(255,118,118);
  animation: ballAnim 2.5s -1.5s infinite linear;
}

@keyframes ballAnim {
  0% {
    transform: translateY(-20rem) scale(0.8, 1);
  }
  45% {
    transform: translateY(0) scale(0.9,1);
  }
  50% {
    transform: translateY(2rem) scale(1,0.7);
  }
  60% {
    transform: translateY(-10rem) scale(0.9,1);
  }
  100% {
    transform: translateY(-20rem) scale(0.8, 1);
  }
}
